# Uses of Class
javax.swing.JColorChooser

Packages that use JColorChooser
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.colorchooser
Contains classes and interfaces used by the `JColorChooser` component.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JColorChooser in javax.swing

Methods in javax.swing with parameters of type JColorChooser
Modifier and Type
Method
Description
`static JDialog`
JColorChooser.`createDialog(Component c, String title, boolean modal, JColorChooser chooserPane, ActionListener okListener, ActionListener cancelListener)`
Creates and returns a new dialog containing the specified `ColorChooser` pane along with "OK", "Cancel", and "Reset" buttons.

## Uses of JColorChooser in javax.swing.colorchooser

Methods in javax.swing.colorchooser with parameters of type JColorChooser
Modifier and Type
Method
Description
`void`
AbstractColorChooserPanel.`installChooserPanel(JColorChooser enclosingChooser)`
Invoked when the panel is added to the chooser.
`void`
AbstractColorChooserPanel.`uninstallChooserPanel(JColorChooser enclosingChooser)`
Invoked when the panel is removed from the chooser.

## Uses of JColorChooser in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JColorChooser
Modifier and Type
Field
Description
`protected JColorChooser`
BasicColorChooserUI.`chooser`
JColorChooser this BasicColorChooserUI is installed on.